Bug 1941128 - fix co upgradeableFalse status and reason
Summary: fix co upgradeableFalse status and reason
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.z
Assignee: Kirsten Garrison
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1939270
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-20 07:54 UTC by OpenShift BugZilla Robot
Modified: 2021-04-05 13:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-05 13:56:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2473 0 None open [release-4.7] Bug 1941128: pkg/operator/status: Use 'DegradedPool' reason for Upgradeable=False 2021-03-24 01:00:34 UTC
Red Hat Product Errata RHSA-2021:1005 0 None None None 2021-04-05 13:56:36 UTC

Comment 3 Michael Nguyen 2021-03-29 13:51:46 UTC
Verified on 4.7.0-0.nightly-2021-03-27-082615, upgradeable message is human readable and reason is is machine blob.

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-03-27-082615   True        False         88s     Cluster version is 4.7.0-0.nightly-2021-03-27-082615
$ cat << EOF > file-ig3-broken.yaml
> apiVersion: machineconfiguration.openshift.io/v1
> kind: MachineConfig
> metadata:
>   labels:
>     machineconfiguration.openshift.io/role: worker
>   name: test-file
> spec:
>   config:
>     ignition:
>       version: 3.9.0
>     storage:
>       files:
>       - contents:
>           source: data:text/plain;charset=utf;base64,c2VydmVyIGZvby5leGFtcGxlLm5ldCBtYXhkZWxheSAwLjQgb2ZmbGluZQpzZXJ2ZXIgYmFyLmV4YW1wbGUubmV0IG1heGRlbGF5IDAuNCBvZmZsaW5lCnNlcnZlciBiYXouZXhhbXBsZS5uZXQgbWF4ZGVsYXkgMC40IG9mZmxpbmUK
>         filesystem: root
>         mode: 0644
>         path: /etc/test
> EOF
$ oc create -f file-ig3-broken.yaml 
machineconfig.machineconfiguration.openshift.io/test-file created
$ oc get mcp
NAME     CONFIG                                             UPDATED   UPDATING   DEGRADED   MACHINECOUNT   READYMACHINECOUNT   UPDATEDMACHINECOUNT   DEGRADEDMACHINECOUNT   AGE
master   rendered-master-7df30f84d887685b94b40279783b72ae   True      False      False      3              3                   3                     0                      24m
worker   rendered-worker-0cd8c43a923d189b7604f9688745895e   True      False      True       3              3                   3                     0                      24m
$ oc get co/machine-config -o yaml
apiVersion: config.openshift.io/v1
kind: ClusterOperator
metadata:
  annotations:
    exclude.release.openshift.io/internal-openshift-hosted: "true"
    include.release.openshift.io/self-managed-high-availability: "true"
    include.release.openshift.io/single-node-developer: "true"
  creationTimestamp: "2021-03-29T13:16:13Z"
  generation: 1
  managedFields:
  - apiVersion: config.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:exclude.release.openshift.io/internal-openshift-hosted: {}
          f:include.release.openshift.io/self-managed-high-availability: {}
          f:include.release.openshift.io/single-node-developer: {}
      f:spec: {}
      f:status:
        .: {}
        f:extension:
          f:master: {}
        f:relatedObjects: {}
        f:versions: {}
    manager: cluster-version-operator
    operation: Update
    time: "2021-03-29T13:16:13Z"
  - apiVersion: config.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions: {}
        f:extension:
          .: {}
          f:master: {}
          f:worker: {}
        f:relatedObjects: {}
        f:versions: {}
    manager: machine-config-operator
    operation: Update
    time: "2021-03-29T13:48:41Z"
  name: machine-config
  resourceVersion: "29073"
  selfLink: /apis/config.openshift.io/v1/clusteroperators/machine-config
  uid: f89259a4-eaa0-4fba-846a-a26e419e0a95
spec: {}
status:
  conditions:
  - lastTransitionTime: "2021-03-29T13:25:25Z"
    message: Cluster version is 4.7.0-0.nightly-2021-03-27-082615
    status: "False"
    type: Progressing
  - lastTransitionTime: "2021-03-29T13:23:59Z"
    status: "False"
    type: Degraded
  - lastTransitionTime: "2021-03-29T13:25:24Z"
    message: Cluster has deployed 4.7.0-0.nightly-2021-03-27-082615
    status: "True"
    type: Available
  - lastTransitionTime: "2021-03-29T13:47:28Z"
    message: One or more machine config pool is degraded, please see `oc get mcp`
      for further details and resolve before upgrading
    reason: DegradedPool
    status: "False"
    type: Upgradeable
  extension:
    master: all 3 nodes are at latest configuration rendered-master-7df30f84d887685b94b40279783b72ae
    worker: 'pool is degraded because rendering fails with "": "Failed to render configuration
      for pool worker: parsing Ignition config failed: unknown version. Supported
      spec versions: 2.2, 3.0, 3.1, 3.2"'
  relatedObjects:
  - group: ""
    name: openshift-machine-config-operator
    resource: namespaces
  - group: machineconfiguration.openshift.io
    name: ""
    resource: machineconfigpools
  - group: machineconfiguration.openshift.io
    name: ""
    resource: controllerconfigs
  - group: machineconfiguration.openshift.io
    name: ""
    resource: kubeletconfigs
  - group: machineconfiguration.openshift.io
    name: ""
    resource: containerruntimeconfigs
  - group: machineconfiguration.openshift.io
    name: ""
    resource: machineconfigs
  - group: ""
    name: ""
    resource: nodes
  versions:
  - name: operator
    version: 4.7.0-0.nightly-2021-03-27-082615
$

Comment 5 errata-xmlrpc 2021-04-05 13:56:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.5 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1005


Note You need to log in before you can comment on or make changes to this bug.